openshot::Settings Class Reference

This class is contains settings used by libopenshot (and can be safely toggled at any point) More...

`#include <Settings.h>`

## Static Public Member Functions

static Settings * | Instance ()
| Create or get an instance of this logger singleton (invoke the class with this method) More...

## Public Attributes

int | DE_LIMIT_HEIGHT_MAX = 1100
| Maximum rows that hardware decode can handle. More...
int | DE_LIMIT_WIDTH_MAX = 1950
| Maximum columns that hardware decode can handle. More...
int | FF_THREADS = 8
| Number of threads that ffmpeg uses. More...
int | HARDWARE_DECODER = 0
| Use video codec for faster video decoding (if supported) More...
bool | HIGH_QUALITY_SCALING = false
| Scale mode used in FFmpeg decoding and encoding (used as an optimization for faster previews) More...
int | HW_DE_DEVICE_SET = 0
| Which GPU to use to decode (0 is the first) More...
int | HW_EN_DEVICE_SET = 0
| Which GPU to use to encode (0 is the first) More...
int | MAX_HEIGHT = 0
| Maximum height for image data (useful for optimzing for a smaller preview or render) More...
int | MAX_WIDTH = 0
| Maximum width for image data (useful for optimzing for a smaller preview or render) More...
int | OMP_THREADS = 12
| Number of threads of OpenMP. More...
std::string | PLAYBACK_AUDIO_DEVICE_NAME = ""
| The audio device name to use during playback. More...
bool | WAIT_FOR_VIDEO_PROCESSING_TASK = false
| Wait for OpenMP task to finish before continuing (used to limit threads on slower systems) More...

## Detailed Description

This class is contains settings used by libopenshot (and can be safely toggled at any point)

Settings class is used primarily to toggle scale settings between preview and rendering, and adjust other runtime related settings.

Definition at line 56 of file Settings.h.

## Member Function Documentation

## Instance()

Settings * Settings::Instance | ( |  | ) |

static

Create or get an instance of this logger singleton (invoke the class with this method)

Definition at line 41 of file Settings.cpp.

Referenced by openshot::QtImageReader::GetFrame(), openshot::Timeline::GetFrame(), openshot::AudioDeviceManagerSingleton::Instance(), openshot::FFmpegReader::Open(), and openshot::Timeline::SetMaxSize().

## Member Data Documentation

## DE_LIMIT_HEIGHT_MAX

int openshot::Settings::DE_LIMIT_HEIGHT_MAX = 1100

Maximum rows that hardware decode can handle.

Definition at line 113 of file Settings.h.

Referenced by openshot::FFmpegReader::Open().

## DE_LIMIT_WIDTH_MAX

int openshot::Settings::DE_LIMIT_WIDTH_MAX = 1950

Maximum columns that hardware decode can handle.

Definition at line 116 of file Settings.h.

Referenced by openshot::FFmpegReader::Open().

## FF_THREADS

int openshot::Settings::FF_THREADS = 8

Number of threads that ffmpeg uses.

Definition at line 110 of file Settings.h.

## HARDWARE_DECODER

int openshot::Settings::HARDWARE_DECODER = 0

Use video codec for faster video decoding (if supported)

0 - No acceleration, 1 - Linux VA-API, 2 - nVidia NVDEC, 3 - Windows D3D9, 4 - Windows D3D11, 5 - MacOS / VideoToolBox, 6 - Linux VDPAU, 7 - Intel QSV

Definition at line 92 of file Settings.h.

Referenced by Instance(), and openshot::FFmpegReader::Open().

## HIGH_QUALITY_SCALING

bool openshot::Settings::HIGH_QUALITY_SCALING = false

Scale mode used in FFmpeg decoding and encoding (used as an optimization for faster previews)

Definition at line 95 of file Settings.h.

## HW_DE_DEVICE_SET

int openshot::Settings::HW_DE_DEVICE_SET = 0

Which GPU to use to decode (0 is the first)

Definition at line 119 of file Settings.h.

Referenced by openshot::FFmpegReader::Open().

## HW_EN_DEVICE_SET

int openshot::Settings::HW_EN_DEVICE_SET = 0

Which GPU to use to encode (0 is the first)

Definition at line 122 of file Settings.h.

## MAX_HEIGHT

int openshot::Settings::MAX_HEIGHT = 0

Maximum height for image data (useful for optimzing for a smaller preview or render)

Definition at line 101 of file Settings.h.

Referenced by openshot::QtImageReader::GetFrame(), and openshot::Timeline::SetMaxSize().

## MAX_WIDTH

int openshot::Settings::MAX_WIDTH = 0

Maximum width for image data (useful for optimzing for a smaller preview or render)

Definition at line 98 of file Settings.h.

Referenced by openshot::QtImageReader::GetFrame(), and openshot::Timeline::SetMaxSize().

## OMP_THREADS

int openshot::Settings::OMP_THREADS = 12

Number of threads of OpenMP.

Definition at line 107 of file Settings.h.

## PLAYBACK_AUDIO_DEVICE_NAME

std::string openshot::Settings::PLAYBACK_AUDIO_DEVICE_NAME = ""

The audio device name to use during playback.

Definition at line 125 of file Settings.h.

## WAIT_FOR_VIDEO_PROCESSING_TASK

bool openshot::Settings::WAIT_FOR_VIDEO_PROCESSING_TASK = false

Wait for OpenMP task to finish before continuing (used to limit threads on slower systems)

Definition at line 104 of file Settings.h.

The documentation for this class was generated from the following files:

- Settings.h
- Settings.cpp